﻿Imports CrystalDecisions.CrystalReports.Engine
Imports System.Data
Imports System.Data.SqlClient
Imports System.IO
Imports System.Text

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim objConn As New SqlConnection
        Dim objCmd As New SqlCommand
        Dim dtAdapter As New SqlDataAdapter

        Dim ds As New DataSet
        Dim strConnString, strSQL As String
        strConnString = "Server=localhost;UID=sa;PASSWORD=;database=mydatabase;Max Pool Size=400;Connect Timeout=600;"


        '*** for Main Report (Start) ***'
        Dim dtMain As DataTable
        strSQL = "SELECT * FROM customer ORDER BY CustomerID ASC "
        objConn.ConnectionString = strConnString
        With objCmd
            .Connection = objConn
            .CommandText = strSQL
            .CommandType = CommandType.Text
        End With
        dtAdapter.SelectCommand = objCmd

        dtAdapter.Fill(ds)
        dtMain = ds.Tables(0)
        '*** for Main Report (End) ***'



        '*** for Audit Sub Report (Start) ***'
        Dim dtAudit As DataTable
        strSQL = "SELECT * FROM audit ORDER BY AuditID ASC "
        objConn.ConnectionString = strConnString
        With objCmd
            .Connection = objConn
            .CommandText = strSQL
            .CommandType = CommandType.Text
        End With
        dtAdapter.SelectCommand = objCmd

        dtAdapter.Fill(ds)
        dtAudit = ds.Tables(0)
        '*** for Audit Sub Report (End) ***'


        '*** for Logo Sub Report (Start) ***'
        Dim dtLogo As New DataTable("logo")
        Dim dr As DataRow
        dtLogo.Columns.Add(New DataColumn("Logo", GetType(System.Byte())))
        dtLogo.Columns.Add(New DataColumn("Company", GetType(String)))
        Dim fiStream As New FileStream(Server.MapPath("Images/thaicreate.jpg"), FileMode.Open)
        Dim binReader As New BinaryReader(fiStream)
        Dim pic() As Byte = {}
        pic = binReader.ReadBytes(fiStream.Length)

        dr = dtLogo.NewRow
        dr("Logo") = pic
        dr("Company") = "ThaiCreate.Com Co,. LTD"
        dtLogo.Rows.Add(dr)

        fiStream.Close()
        binReader.Close()
        '*** for Logo Sub Report (End) ***'

       
        Dim rpt As New ReportDocument()
        rpt.Load(Server.MapPath("myCrystalReport.rpt"))

        '** for Main Report **'
        rpt.SetDataSource(dtMain)

        '** for Logo Sub Report **'
        rpt.Subreports("Logo_Sub_Report").Database.Tables(0).SetDataSource(dtLogo)

        '** for Audit Sub Report **'
        rpt.Subreports("Audit_Sub_Report").Database.Tables(0).SetDataSource(dtAudit)

        Me.CrystalReportViewer1.ReportSource = rpt


        dtAdapter = Nothing
        objConn.Close()
        objConn = Nothing

    End Sub

End Class
